a=5
x = if a < 8 then 6 else 7 end    # x is now 6
y = if a < 8       # y is 6 also; the
  6                # if-statement can be
else               # on a single line
  7                # or on multiple lines.
end

# unless also works; z will be assigned 4
z = unless x == y then 3 else 4 end
t = case a         # t gets assigned
  when 0..3        # the value
     "low"         # "medium"
  when 4..6
     "medium"
else
  "high"
end

